mscorlib 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class, Inherited=false) System.Diagnostics.Conditional("CONTRACTS_FULL") Marks a class as containing contracts for the type specified. Interfaces and abstract methods cannot have their contracts written directly in the code. The and may be used to specify another class that contains the contracts for an interface or abstract class.
- Constructor
  4.0.0.0
  The type (interface or abstract class) for which these are the code contract specifications.
  Constructs a ContractClassForAttribute, specifying the type (interface or abstract class) for which these are the code contract specifications.
- Property
  4.0.0.0
  System.Type Get the type for which these are the code contract specifications. The type for which these are the code contract specifications.